pydo.partner_attachments.create()
Generated on 7 Jul 2026
from pydo version
v0.39.0
Usage
client.partner_attachments.create(
body={
"name": "env.prod-partner-network-connect",
"connection_bandwidth_in_mbps": 1000,
"region": "nyc",
...,
},
)Description
To create a new partner attachment, send a POST request to
/v2/partner_network_connect/attachments with a JSON object containing the
required configuration details.
Parameters
namestring requiredExample:
env.prod-partner-network-connectThe name of the partner attachment. Must be unique and may only contain alphanumeric characters, dashes, and periods.
connection_bandwidth_in_mbpsinteger requiredBandwidth (in Mbps) of the connection.
regionstring requiredThe region to create the partner attachment.
naas_providerstring requiredExample:
megaportvpc_idsarray of strings requiredExample:
['c140286f-e6ce-4131-8b7b-df4590ce8d6a', '994a2735-dc84-11e8-80bc-3cfdfea9fba1']An array of VPCs IDs.
parent_uuidstring optionalExample:
d594cf8d-8c79-4bc5-aec1-6f9b211506b3Optional associated partner attachment UUID
bgpobject optionalOptional BGP configurations
Show child properties
local_router_ipstring requiredExample:
169.254.0.1/29IP of the DO router
peer_router_ipstring requiredExample:
169.254.0.6/29IP of the Naas Provider router
peer_router_asninteger requiredExample:
64532ASN of the peer router
auth_keystring requiredExample:
0xsNnb1pwQlowdoMySEfWwk4IBGP Auth Key
redundancy_zonestring optionalOptional redundancy zone for the partner attachment.
Request Sample
Response Example
More Information
See /v2/partner_network_connect/attachments in the API reference for additional detail on responses, headers, parameters, and more.